package epson.print.Util;

import android.annotation.SuppressLint;
import android.os.AsyncTask;
import android.os.Build;

public abstract class AsyncTaskExecutor<A, B, C> extends AsyncTask<A, B, C> {

    @SuppressLint({"NewAPI"})
    public AsyncTask<A, B, C> executeOnExecutor(A... aArr) {
        if (Build.VERSION.SDK_INT > 11) {
            return super.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, aArr);
        }
        return super.execute(aArr);
    }
}
